textures/powerdam/pdglsslght
{
    //Cieling Light
    q3map_lightimage textures/common/s_glass2.tga
    qer_editorimage textures/common/s_glass2.tga
    q3map_surfacelight 10000
    light 1
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/common/s_glass2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/common/s_glass2.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/powerdam/olivemtl
{
	
	surfaceparm metalsteps
	q3map_lightmapsamplesize 1

	{
		map textures/powerdam/olivemtl.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/effects/tinfx.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 2 2  
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR 				      GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/powerdam/powerriver
{
	qer_editorimage textures/liquids/ocean_m1.tga
	qer_trans .6
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks	// don't play ripple effects when shooting into water
	// tesssize 384
	
	cull disable
//	nofog
	deformVertexes wave 160 sin 0 3 0 .2	// the chop

	waterfogvars ( 0.1 0.5 0.7 ) .0005
//	waterfogvars ( 0.1 0.1 0.1 ) .005
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
	{ 
		fog on
		map textures/liquids/ocean_m1.tga
		rgbgen identity
		tcmod scale -.12 .2
		tcmod scroll .04 0
	}	
//	{ 
//		map textures/liquids/ocean_m2.tga
//		blendFunc GL_dst_color GL_one
//		rgbgen identity		
//		tcmod scale -.6 .5
//		tcmod scroll -.01 -.01
//	}
}

textures/powerdam/damspray
{
	qer_editorimage textures/powerdam/damspray.tga
	qer_trans .6
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks	// don't play ripple effects when shooting into water
	// tesssize 384
	
	cull disable
//	nofog
	deformVertexes wave 160 sin 0 4 0 .2	// the chop

	waterfogvars ( 0.1 0.5 0.7 ) .0005
//	waterfogvars ( 0.1 0.1 0.1 ) .005
	{
		fog on
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
	{ 
		fog on
		map textures/powerdam/damspray.tga
		rgbgen identity
		tcmod scale -.3 .2
		tcmod scroll .0 -.1
	}	
}

textures/powerdam/powersky
{
	qer_editorimage textures/powerdam/sky_6.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	q3map_globaltexture
	q3map_lightsubdivide 2048
	q3map_sun	0.60 0.55 0.55 70 220 60
	q3map_surfacelight 55
	fogvars ( .4 .4 .4 ) .0003
	skyfogvars ( .23 .23 .24 ) .1

	skyparms full 200 -
	
	{
		map textures/skies/newclouds.tga
		tcMod scroll -0.003 -0.001
		tcMod scale 6 6
		depthWrite
	}
//	{
//		map textures/skies/newclouds.tga
//		blendfunc GL_ONE GL_ONE
//		tcMod scroll 0.002 0.002
///		tcMod scale 1 1
//	}
}

textures/powerdam/dmglass
{
 surfaceparm nolightmap
 surfaceparm nonsolid
 cull twosided
 {
  map textures/common/glass1.tga
  tcGen environment
  blendfunc GL_ONE GL_ONE
                }
} 


